Subject: Re: git ignores /~/.config/git/

From: Jeff King <[email-masked]>
Date: Wed, 14 Jan 2015 16:07:52 -0500

On Wed, Jan 14, 2015 at 07:33:07PM +0000, Moez Bouhlel wrote:

> git exludes /~/.config/git/ from the matching list.
> 
> ~ is the name of a dir on the root of git working tree and not my user home dir.

I'm not quite sure what you mean by "matching list". Do you mean that
the path is not listed as untracked in "git status"?

Are there any files inside the directory? Git will not mention empty
directories, as tracks only file content, not directories.

Beyond that, I cannot reproduce:

  $ git init
  $ mkdir -p '~/.config/git'
  $ git status -s

Lack of output is expected, since there are no files. Now:

  $ echo content >'~/.config/git/foo'
  $ git status -s
  ?? ~/
  $ git status -s -uall
  ?? ~/.config/git/foo

This is on Linux. Are you by any chance using Git for Windows? I wonder
if the recent chances to short-names like "foo~1" could have affected
this.

-Peff